# DeviceType

Namespace: **Wisej.Hybrid.Modules.System**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Types of devices.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DeviceType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DeviceType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                                                   |
| ------------ | --------------------------------------------------------------------------------------------- |
| **Physical** | The device is a physical device, such as an iPhone, Android tablet, or Windows/macOS desktop. |
| **Unknown**  | An unknown device type.                                                                       |
| **Virtual**  | The device is virtual, such as the iOS Simulator, Android emulators, or Windows emulators.    |

## Used By

| Name                                                                                                | Description                                   |
| --------------------------------------------------------------------------------------------------- | --------------------------------------------- |
| [DeviceSystemInfo.DeviceType](/hybrid/start/api/system/wisej.hybrid.devicesysteminfo.md#devicetype) | Gets the type of device (physical / virtual). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/system/wisej.hybrid.modules.system.devicetype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
